Debian Bug report logs - #619677
gfarm2fs: FTBFS on kfreebsd-*: gfarm2fs.c:1219: error: 'ENODATA' undeclared

version graph

Package: src:gfarm2fs; Maintainer for src:gfarm2fs is NIIBE Yutaka <gniibe@fsij.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sat, 26 Mar 2011 01:57:02 UTC

Severity: serious

Found in version gfarm2fs/1.2.2-1

Fixed in version gfarm2fs/1.2.2-1.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#619677; Package src:gfarm2fs. (Sat, 26 Mar 2011 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Sat, 26 Mar 2011 01:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gfarm2fs: FTBFS on kfreebsd-*: gfarm2fs.c:1219: error: 'ENODATA' undeclared
Date: Sat, 26 Mar 2011 02:55:31 +0100
Source: gfarm2fs
Version: 1.2.2-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| make[2]: Entering directory `/build/buildd-gfarm2fs_1.2.2-1-kfreebsd-amd64-wDo7OU/gfarm2fs-1.2.2'
| gcc -DHAVE_CONFIG_H -I. -I. -I.    -Wall -g -O2 -c gfarm2fs.c
| gfarm2fs.c: In function 'gfarm2fs_getxattr':
| gfarm2fs.c:1219: error: 'ENODATA' undeclared (first use in this function)
| gfarm2fs.c:1219: error: (Each undeclared identifier is reported only once
| gfarm2fs.c:1219: error: for each function it appears in.)
| gfarm2fs.c: In function 'gfarm2fs_removexattr':
| gfarm2fs.c:1296: error: 'ENODATA' undeclared (first use in this function)
| make[2]: *** [gfarm2fs.o] Error 1
| make[2]: Leaving directory `/build/buildd-gfarm2fs_1.2.2-1-kfreebsd-amd64-wDo7OU/gfarm2fs-1.2.2'

Full build logs:
  https://buildd.debian.org/status/package.php?p=gfarm2fs&suite=sid

Please get in touch with debian-bsd@ if you need any help.

KiBi.




Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 17:24:08 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 17:24:08 GMT) Full text and rfc822 format available.

Message #10 received at 619677-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 619677-close@bugs.debian.org
Subject: Bug#619677: fixed in gfarm2fs 1.2.2-1.1
Date: Sat, 03 Mar 2012 17:21:50 +0000
Source: gfarm2fs
Source-Version: 1.2.2-1.1

We believe that the bug you reported is fixed in the latest version of
gfarm2fs, which is due to be installed in the Debian FTP archive:

gfarm2fs_1.2.2-1.1.debian.tar.gz
  to main/g/gfarm2fs/gfarm2fs_1.2.2-1.1.debian.tar.gz
gfarm2fs_1.2.2-1.1.dsc
  to main/g/gfarm2fs/gfarm2fs_1.2.2-1.1.dsc
gfarm2fs_1.2.2-1.1_kfreebsd-amd64.deb
  to main/g/gfarm2fs/gfarm2fs_1.2.2-1.1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619677@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated gfarm2fs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Mar 2012 17:03:52 +0000
Source: gfarm2fs
Binary: gfarm2fs
Architecture: source kfreebsd-amd64
Version: 1.2.2-1.1
Distribution: unstable
Urgency: low
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 gfarm2fs   - FUSE program to mount the Gfarm file system
Closes: 619677
Changes: 
 gfarm2fs (1.2.2-1.1) unstable; urgency=low
 .
   * NMU.
   * Drop *xattr support in kFreeBSD. Closes: #619677
Checksums-Sha1: 
 1915cc6f0b136dff4908f0ce88d4dc15bf01f201 1845 gfarm2fs_1.2.2-1.1.dsc
 a8d6aafda075da0d9d2be8ac2add650b9334aab0 3588 gfarm2fs_1.2.2-1.1.debian.tar.gz
 8d08d2be40c1c77ef9dc6dad84105634e075eeb5 22132 gfarm2fs_1.2.2-1.1_kfreebsd-amd64.deb
Checksums-Sha256: 
 fa998ad5118e15a1237caf583560fdd85d0808a29e2d04441e43baf5b4b7108f 1845 gfarm2fs_1.2.2-1.1.dsc
 c7b7128b5f9f79e62e585f9dca9c67e34a0ab2b5ec1001a63575fec98f22b37c 3588 gfarm2fs_1.2.2-1.1.debian.tar.gz
 b833e7899a115e1224f797187fd210b3bef2c7a57aa1b5b8b91012767cf6270d 22132 gfarm2fs_1.2.2-1.1_kfreebsd-amd64.deb
Files: 
 ebacca1bb5db41a84c8c42cef24576b9 1845 net extra gfarm2fs_1.2.2-1.1.dsc
 d4d309c3fed10e4950e4436f88e67ce3 3588 net extra gfarm2fs_1.2.2-1.1.debian.tar.gz
 6992e9cebf93b380be9051cd078fe5a2 22132 net extra gfarm2fs_1.2.2-1.1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPUlHvAAoJEFh5eVc0QmhOIQgP/0JytLTXQopMpvhMr263za/C
Nl2UABQtgoTa7FNbO9/UwFeSvQ2kWu8dljSotEjLDa4EhfIjzBIzvyJoRkSDNtxb
hF+BqK3h4C3q4ZX6AJYTlAIWJNKhxc26yNxu43h5zGm4/VXldKrAZgfSiCbrzI+L
n3SUYNA/13yMN2E0AmLCQnt1pUQRujjF8GTeKOrs/lR1ZGCnKNY184/DGFeAccgi
E8rvXXi6IRA5vJZY2hCV4hJrbgeqtMv3AuWUj5xXsL6zviJ6oI380o+j7jObQtX5
oCm0ebSDLM9XErkbj5eyqsH1TeShUUjz7xU9wLJgB2m0dkoYFSbZn54TaZNQt5T0
GHOyG+KDHmJI37mFGNB/zq9UDKoTuFgzk/Ks3MZilbwYaci5kLoluzL48cEaMRP7
9TfbOZEovS64oI4iselsNZ6hD8HZfoiXF4oePK4mY28EcfGSZQRoJ8OkyIOrKNzW
aN0hI2XyX0UN5vJFd6cntsAbL2IZF71uPcRHjWPwyEo6wZuneW0mlZb26EW9LFTI
v/eyIv6nzgeeCGVsOV6hINxTSTmbwg7zBo7E4hSCG8Py874uRPIZcxREJ+NQVMoo
ZO0A1ASKVEMKJCZxe6cxK5J4AaCxZojlzFqlecZvFgIpYRuSTVQE+gzi18cHL5t+
BBM9UPRPti8BDiV98rai
=odVo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:49:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:38:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.